apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: satisfactory
  namespace: argocd
  labels:
    app.kubernetes.io/name: satisfactory
    app.kubernetes.io/type: application
spec:
  destination:
    name: ""
    namespace: satisfactory
    server: 'https://kubernetes.default.svc'
  sources:
    - path: satisfactory
      repoURL: 'https://gitlab.com/rostlab/kubernetes/manifests.git'
      targetRevision: HEAD
  project: default
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true
  revisionHistoryLimit: 0